AttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Interface AttributeBinding

All Known Subinterfaces:
  AssociationAttributeBinding, KeyValueBinding, PluralAttributeBinding, SingularAssociationAttributeBinding, SingularAttributeBinding

All Known Implementing Classes:
  AbstractAttributeBinding, AbstractPluralAttributeBinding, AbstractSingularAttributeBinding, BagBinding, BasicAttributeBinding, ComponentAttributeBinding, ManyToOneAttributeBinding, SetBinding

    public interface AttributeBinding

The basic contract for binding a `attribute` from the domain model to the relational model.

Method Summary
`void` | `addEntityReferencingAttributeBinding(SingularAssociationAttributeBinding attributeBinding)`
`Attribute` | `getAttribute()` Obtain the attribute bound.
`AttributeBindingContainer` | `getContainer()` Obtain the entity binding to which this attribute binding exists.
`Set<SingularAssociationAttributeBinding>` | `getEntityReferencingAttributeBindings()`
`HibernateTypeDescriptor` | `getHibernateTypeDescriptor()` Obtain the descriptor for the Hibernate `Type` for this binding.
`MetaAttributeContext` | `getMetaAttributeContext()` Obtain the meta attributes associated with this binding
`String` | `getPropertyAccessorName()`
`boolean` | `isAlternateUniqueKey()`
`boolean` | `isAssociation()`
`boolean` | `isBasicPropertyAccessor()`
`boolean` | `isIncludedInOptimisticLocking()`
`boolean` | `isLazy()`
`void` | `setIncludedInOptimisticLocking(boolean includedInOptimisticLocking)`
`void` | `setPropertyAccessorName(String propertyAccessorName)`
`void` | `validate()`

Method Detail

### getContainer

    AttributeBindingContainer getContainer()

  Obtain the entity binding to which this attribute binding exists.

  Returns:
    The entity binding.

### getAttribute

    Attribute getAttribute()

  Obtain the attribute bound.

  Returns:
    The attribute.

### getHibernateTypeDescriptor

    HibernateTypeDescriptor getHibernateTypeDescriptor()

  Obtain the descriptor for the Hibernate `Type` for this binding.

  For information about the Java type, query the `Attribute` obtained from `getAttribute()` instead.

  Returns:
    The type descriptor

### isAssociation

    boolean isAssociation()

### isBasicPropertyAccessor

    boolean isBasicPropertyAccessor()

### getPropertyAccessorName

    String getPropertyAccessorName()

### setPropertyAccessorName

    void setPropertyAccessorName(String propertyAccessorName)

### isIncludedInOptimisticLocking

    boolean isIncludedInOptimisticLocking()

### setIncludedInOptimisticLocking

    void setIncludedInOptimisticLocking(boolean includedInOptimisticLocking)

### getMetaAttributeContext

    MetaAttributeContext getMetaAttributeContext()

  Obtain the meta attributes associated with this binding

  Returns:
    The meta attributes

### isAlternateUniqueKey

    boolean isAlternateUniqueKey()

### isLazy

    boolean isLazy()

### addEntityReferencingAttributeBinding

    void addEntityReferencingAttributeBinding(SingularAssociationAttributeBinding attributeBinding)

### getEntityReferencingAttributeBindings

    Set<SingularAssociationAttributeBinding> getEntityReferencingAttributeBindings()

### validate

    void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.